function ExperienceManager:gui_string(level, rank, offset)
	offset = offset or 0
	local level_string = (level ~= 100 or (rank == 0 and managers.user:get_setting("infamy_roman_rank"))) and "[" .. tostring(level) .. "]" or ""
	local gui_string = self:rank_string(rank) .. level_string
	local rank_color_range = {
		start = utf8.len(gui_string) - utf8.len(level_string) + offset,
		stop = utf8.len(gui_string) + offset,
		color = tweak_data.screen_colors.infamy_color
	}

	return gui_string, {rank_color_range}
end
